<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/CosTrading/Link.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - CosTrading::Link</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../CosTrading.html" >CosTrading</a>
</div><div class="class-name">interface Link

</div><div class="links"><div class="file">File: <a href="../../File/CosTrading.idl.html" target="detail">CosTrading.idl</a></div> <div class="xref"></div> <div class="source"></div></div>  <img alt="Link-inheritance" src="Link-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Link-inheritance_map" />
<map name="Link-inheritance_map"><area alt="Scopes/CosTrading/TraderComponents.html" href="TraderComponents.html" shape="rect" coords="5, 7, 208, 31" />
<area alt="Scopes/CosTrading/SupportAttributes.html" href="SupportAttributes.html" shape="rect" coords="232, 7, 427, 31" />
<area alt="Scopes/CosTrading/LinkAttributes.html" href="LinkAttributes.html" shape="rect" coords="451, 7, 627, 31" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Structs Summary:</div>
<div class="item"><div class="synopsis">struct <a href="Link/LinkInfo.html" >LinkInfo</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Exceptions Summary:</div>
<div class="item"><div class="synopsis">exception <a href="Link/IllegalLinkName.html" >IllegalLinkName</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="Link/UnknownLinkName.html" >UnknownLinkName</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="Link/DuplicateLinkName.html" >DuplicateLinkName</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="Link/DefaultFollowTooPermissive.html" >DefaultFollowTooPermissive</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="Link/LimitingFollowTooPermissive.html" >LimitingFollowTooPermissive</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Operations Summary:</div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="add_link">add_link</a>(<span class="keyword">in</span> <a href="../CosTrading.html#LinkName" >LinkName</a> <span class="variable">name</span>, <span class="keyword">in</span> <a href="Lookup.html" >Lookup</a> <span class="variable">target</span>, <span class="keyword">in</span> <a href="../CosTrading.html#FollowOption" >FollowOption</a> <span class="variable">def_pass_on_follow_rule</span>, <span class="keyword">in</span> <a href="../CosTrading.html#FollowOption" >FollowOption</a> <span class="variable">limiting_follow_rule</span>)  <a href="Link.html#add_link" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="remove_link">remove_link</a>(<span class="keyword">in</span> <a href="../CosTrading.html#LinkName" >LinkName</a> <span class="variable">name</span>)  <a href="Link.html#remove_link" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Link/LinkInfo.html" >LinkInfo</a> <a class="name" id="describe_link">describe_link</a>(<span class="keyword">in</span> <a href="../CosTrading.html#LinkName" >LinkName</a> <span class="variable">name</span>)  <a href="Link.html#describe_link" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="../CosTrading.html#LinkNameSeq" >LinkNameSeq</a> <a class="name" id="list_links">list_links</a>()  </div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="modify_link">modify_link</a>(<span class="keyword">in</span> <a href="../CosTrading.html#LinkName" >LinkName</a> <span class="variable">name</span>, <span class="keyword">in</span> <a href="../CosTrading.html#FollowOption" >FollowOption</a> <span class="variable">def_pass_on_follow_rule</span>, <span class="keyword">in</span> <a href="../CosTrading.html#FollowOption" >FollowOption</a> <span class="variable">limiting_follow_rule</span>)  <a href="Link.html#modify_link" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Attributes Inherited from TraderComponents">
<tr><td colspan="2" class="heading">Attributes Inherited from TraderComponents</td></tr>
<tr><td class="inherited"><a href="TraderComponents.html#lookup_if" title="attribute TraderComponents::lookup_if">lookup_if</a>,
<a href="TraderComponents.html#register_if" title="attribute TraderComponents::register_if">register_if</a>,
<a href="TraderComponents.html#link_if" title="attribute TraderComponents::link_if">link_if</a>,
<a href="TraderComponents.html#proxy_if" title="attribute TraderComponents::proxy_if">proxy_if</a>,
<a href="TraderComponents.html#admin_if" title="attribute TraderComponents::admin_if">admin_if</a></td></tr></table>
<table width="100%" summary="Attributes Inherited from SupportAttributes">
<tr><td colspan="2" class="heading">Attributes Inherited from SupportAttributes</td></tr>
<tr><td class="inherited"><a href="SupportAttributes.html#supports_modifiable_properties" title="attribute SupportAttributes::supports_modifiable_properties">supports_modifiable_properties</a>,
<a href="SupportAttributes.html#supports_dynamic_properties" title="attribute SupportAttributes::supports_dynamic_properties">supports_dynamic_properties</a>,
<a href="SupportAttributes.html#supports_proxy_offers" title="attribute SupportAttributes::supports_proxy_offers">supports_proxy_offers</a>,
<a href="SupportAttributes.html#type_repos" title="attribute SupportAttributes::type_repos">type_repos</a></td></tr></table>
<table width="100%" summary="Attributes Inherited from LinkAttributes">
<tr><td colspan="2" class="heading">Attributes Inherited from LinkAttributes</td></tr>
<tr><td class="inherited"><a href="LinkAttributes.html#max_link_follow_policy" title="attribute LinkAttributes::max_link_follow_policy">max_link_follow_policy</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Fri Apr 17 08:48:17 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
